List all chargebacks

This allows you list all chargebacks using your merchant secret key

Sample Implementations

var request = require('request');
var options = {
  'method': 'GET',
  'url': '{{BASE_API_URL}}/v2/chargebacks?seckey=FLWSECK-e*******************-X',
  'headers': {
    'Content-Type': 'application/json'
  }
};
request(options, function (error, response) { 
  if (error) throw new Error(error);
  console.log(response.body);
});


curl --location --request GET '{{BASE_API_URL}}/v2/chargebacks?seckey=FLWSECK-e*******************-X' \
--header 'Content-Type: application/json'
Query Params
string
required
Defaults to FLWSECK_TEST-SANDBOXDEMOKEY-X

This is a unique API key generated on F4B dashboard. It typically has a prefix FLWSECK.

date
Defaults to 2020-01-01

This is the specified date to start the list from. YYYY-MM-DD

date
Defaults to 2020-10-30

The is the specified end period for the search . YYYY-MM-DD

string
Defaults to accepted
string
Defaults to NGN
string

This is the unique reference for the transaction. It can be retrieved from the initial chargeback response as flwRef

string
Headers
string
required
Defaults to application/json
Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json